Get the results of the stock position report as an xlsx file

​

Body·

application/json
  • The product attribute description to filter by

  • The product batch to filter by

  • The product best before date to filter by

  • The client partner to filter by

  • The custom date and time the report should be run for

  • The product expiry date to filter by

  • If the report should only include critical stock

  • If the report should include received dates

  • If the report should include serial numbers

  • The product packaging date to filter by

  • The product to filter by

  • The product attribute to filter by

Responses

  • OK

Request Example for post/v1/reports/stock-position/xlsx
curl https://api.consignlyhq.com/v1/reports/stock-position/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "reportTime": "enum (Now = 1, Custom = 2)",
  "customDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "clientPartnerId": null,
  "warehouseId": null,
  "partnerProductId": null,
  "productGroupId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "includeSerials": true,
  "includeCriticalStockOnly": true,
  "includeReceivedDates": true,
  "productAttributeId": null,
  "attributeDescription": null
}'
No Body